Ruby 2.3 已结束支持,不再发布版本补丁

段段段落
 段段段落
发布于 2019年04月12日
收藏 0

Ruby 官方宣布所有关于 Ruby 2.3 系列的支持已结束。

在 2018 年 3 月 28 日发布 Ruby 2.3.7 之后,Ruby 2.3 的支持进入了安全维护阶段。现在,一年过去了,这个阶段已结束。自 2019 年 3 月 31 日起,所有关于 Ruby 2.3 系列的支持都已结束。新版本 Ruby 的 Bug 和安全修复将不再移植到 2.3 系列,并且 2.3 系列也不再有更新补丁发布。官方强烈建议用户立即升级至 Ruby 2.6 或 2.5 版本。

Ruby 版本的当前支持状态如下:

Ruby 2.6 系列

目前处于常规维护阶段。官方将在必要时发布 Bug 修复和更新补丁。如果发现严重安全问题,官方会发布紧急修复。

Ruby 2.5 系列

目前处于常规维护阶段。官方将在必要时发布 Bug 修复和更新补丁。如果发现严重安全问题,官方会发布紧急修复。

Ruby 2.4 系列

目前处于安全维护阶段。除了安全修复之外,不再有 Bug 修复。如果发现严重安全问题,官方会发布紧急修复。对 Ruby 2.4 系列的支持计划到 2020 年 3 月 31 日结束。

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:Ruby 2.3 已结束支持,不再发布版本补丁
加载中
返回顶部
顶部